CREATE TABLE `pre_admin`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键',
  `username` varchar(255) NOT NULL COMMENT '管理员名称',
  `password` varchar(255) NOT NULL COMMENT '密码',
  `avatar` varchar(255) NULL COMMENT '头像',
  `salt` varchar(150) NULL COMMENT '密码盐',
  PRIMARY KEY (`id`),
  UNIQUE INDEX `key_admin_name`(`username`) USING BTREE COMMENT '管理员索引'
) ENGINE = InnoDB COMMENT = '管理员表';

CREATE TABLE `pre_department`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '部门id普通索引',
  `name` varchar(200) NULL COMMENT '部门名称普通索引',
  PRIMARY KEY (`id`),
  UNIQUE INDEX `key_dep_name`(`name`) USING BTREE COMMENT '部门名称唯一索引'
) ENGINE = InnoDB COMMENT = '部门表';

CREATE TABLE `pre_job`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '职位id',
  `name` varchar(200) NULL COMMENT '职位名称',
  `depid` int UNSIGNED NULL COMMENT '部门id',
  PRIMARY KEY (`id`),
  INDEX `key_job_depid`(`depid`) USING BTREE COMMENT '部门id',
  UNIQUE INDEX `key_job_name`(`name`) USING BTREE COMMENT '部门名称唯一索引'
) ENGINE = InnoDB COMMENT = '职位表';

CREATE TABLE `pre_person`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '员工id',
  `name` varchar(200) NULL COMMENT '员工名字',
  `avatar` varchar(255) NULL COMMENT '头像',
  `mobile` int UNSIGNED NULL COMMENT '手机号',
  `sex` enum('1','2') NULL DEFAULT '1' COMMENT '性别 1：男 2：女',
  `email` varchar(255) NULL COMMENT '邮箱',
  `address` varchar(255) NULL COMMENT '住处地址',
  `depid` int UNSIGNED NULL COMMENT '部门id',
  `jobid` int UNSIGNED NULL COMMENT '职位id',
  `createtime` int UNSIGNED NULL COMMENT '入职时间',
  PRIMARY KEY (`id`),
  INDEX `key_person_depid`(`depid`) USING BTREE COMMENT '部门id索引',
  INDEX `key_person_jobid`(`jobid`) USING BTREE COMMENT '职位id索引',
  UNIQUE INDEX `key_person_name`(`name`) USING BTREE COMMENT '员工名字唯一索引'
) ENGINE = InnoDB COLLATE = utf8_general_ci COMMENT = '员工表';

ALTER TABLE `pre_job` ADD CONSTRAINT `fk_job_depid` FOREIGN KEY (`depid`) REFERENCES `pre_department` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE `pre_person` ADD CONSTRAINT `fk_person_depid` FOREIGN KEY (`depid`) REFERENCES `pre_department` (`id`) ON DELETE SET NULL ON UPDATE NO ACTION;
ALTER TABLE `pre_person` ADD CONSTRAINT `fk_jperson_jobid` FOREIGN KEY (`jobid`) REFERENCES `pre_job` (`id`) ON DELETE SET NULL ON UPDATE NO ACTION;

